#!/usr/bin/env bash

# Read COPYING for licensing details.

function dn_have_command
{
	[[ -n $(whereis "$1" | cut -d ':' -f 2) ]]
}

function dn_by_lsb_release
{
	if dn_have_command lsb_release
	then
		lsb_release -d | cut -d':' -f2 | sed -re 's,^[[:space:]]+,,'
		exit 0
	fi
}

function dn_not_found
{
	echo "Distribution name not found"
	echo "If you really want it, ask <juanmabc3@yahoo.com> to add it, and if you know how to get it and want to use it via distroname send it."
	exit 1
}

#dn_by_lsb_release
dn_not_found
